<?php
/**
* @version      1.0.0 15.01.2018
* @author       MAXXmarketing GmbH
* @package      Email after register
* @copyright    Copyright (C) 2018 http://www.wop-agentur.com. All rights reserved.
*/

if( !defined( 'ABSPATH' ) ) {
    
    exit; // Exit if accessed directly
        
}

class EmailAfterRegisterWshopAddon extends WshopAddon {
    
    public function __construct(  ) {
        
        $this->addon_alias = 'emailafterregister';
        
        $this->loadLanguage(  );
        
    }
    
    public function loadActions() {
        
        add_action( 'onAfterRegister',  array( $this, 'onAfterRegister' ), 9, 3 );
        
    }
    
    public function onAfterRegister( &$user, &$row, &$post ) {
        
        $params  = $this->getAddonParams(  );
        $to      = $post['email'];
        $subject = $params->register_email_subject;
        $body    = $params->register_email_text;
        $headers = array(
            'From: ' . get_bloginfo( 'name' ) . ' <' . $params->register_from_email . '>',
            'Content-Type: text/html; charset=UTF-8'
        );

        wp_mail( $to, $subject, $body, $headers );
        
    }
    
}